Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.servlet
Enum SessionTrackingMode

    java.lang.Object
      java.lang.Enum<SessionTrackingMode>
          javax.servlet.SessionTrackingMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SessionTrackingMode>

    public enum SessionTrackingMode

extends java.lang.Enum<SessionTrackingMode>

Since:
  Servlet 3.0 $Id: SessionTrackingMode.java 782244 2009-06-06 12:49:12Z markt $

Enum Constant Summary
`COOKIE`
`SSL`
`URL`

Method Summary
`static SessionTrackingMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SessionTrackingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COOKIE

    public static final SessionTrackingMode COOKIE

### URL

    public static final SessionTrackingMode URL

### SSL

    public static final SessionTrackingMode SSL

Method Detail

### values

    public static SessionTrackingMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SessionTrackingMode c : SessionTrackingMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SessionTrackingMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.